%define version 0.0.8
%define release 1mdk

%define req_libggz_version 0.0.8
%define req_ggz_client_libs_version 0.0.8

%define libname_basic ggz-kde
%define major 2
%define libname %mklibname %{libname_basic}

Name:		ggz-kde-client
Summary:	GGZ Gaming Zone Client in KDE interface
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Other
URL:		http://ggz.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

# http://download.sf.net/ggz/
Source:		%{name}-%{version}.tar.bz2

BuildRequires:	libggz-devel = %{req_libggz_version}
BuildRequires:	ggz-client-libs-devel = %{req_ggz_client_libs_version}
Buildrequires:	kdelibs-devel
Requires:	libggz = %{req_libggz_version}
Requires:	ggz-client-libs = %{req_ggz_client_libs_version}
Requires:	ggz-game-modules = %{version}

%description
The official GGZ Gaming Zone client in KDE user interface.

%prep
%setup -q

%build
# mdk doesn't have libtool 1.5
%define __libtoolize /bin/true

%configure2_5x --with-xinerama --disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -rf ./ggzcore++-doc
mv %{buildroot}%{_docdir}/ggzcore++ ./ggzcore++-doc

install -m 755 -d %{buildroot}%{_menudir}
cat > %{buildroot}%{_menudir}/%{name} << _EOF_
?package(%{name}): \
 command="%{_bindir}/kggz" \
 icon="other_amusement.png" \
 longtitle="GGZ Gaming Zone game client with KDE interface" \
 needs="kde" \
 section="More applications/Games/Other" \
 title="GGZ KDE Game Client"
_EOF_

# remove unneeded files
# (Abel) 0.0.7-1mdk Nuke ggzcore++ files because ggzcore++
#                   library is merged back into game client
rm -rf %{buildroot}%{_includedir}
rm -f %{buildroot}%{_libdir}/kde3/*.la

%find_lang %{name} --all-name

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README README.GGZ QuickStart.GGZ TODO
%doc ggzcore++-doc
%doc %{_docdir}/HTML/en/kggz
%doc %{_docdir}/HTML/en/kioslave/ggz*

%{_bindir}/*
%{_libdir}/kde3/*.so

%{_datadir}/applnk/Games/ggz
%{_datadir}/applnk/Settings/Network/kcmggz.desktop
%{_datadir}/applnk/.hidden/shadowbridge.desktop

%{_datadir}/apps/keepalivecontrol
%{_datadir}/apps/kggz
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/services/*.protocol
%{_datadir}/config/*

%{_menudir}/%{name}

%changelog
* Mon Feb 16 2004 Abel Cheung <deaddog@deaddog.org> 0.0.8-1mdk
- New version
- Drop patch0 (better fix upstream)
- Add menu entry

* Sun Sep 07 2003 Abel Cheung <deaddog@deaddog.org> 0.0.7-1mdk
- 0.0.7
- Patch0: ggz.snafu.de is no more, thus change default servers
- no libdification anymore, library is merged back into client
- find_lang, BuildRequires and other assorted cleanup

* Tue Apr 29 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-3mdk
- buildrequires

* Mon Mar 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.6-2mdk
- from andi payn <payn@myrealbox.com> :
	- complete the Mandrakization process

* Fri Jan 19 2003 andi payn <payn@myrealbox.com>
- Updated to 0.0.6
- Mandrakized (split off libggz-kde1/libggz-kde1-devel, etc.)

* Fri Apr 12 2002 Rich Gade <rgade@users.sourceforge.net>
- Updated for 0.0.5

* Fri Apr 27 2001 Rich Gade <rgade@users.sourceforge.net>
- Initial specification file
